curl --request PUT \
--url https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"notifyUrl": "https://www.example.com/pushme"
},
"security": {
"authId": "AUTH-123"
},
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": [
"TLSv1.3",
"TLSv1.2"
],
"headers": {
"X-Important-Header": "Important Value"
},
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}"
payload = {
"webhook": { "notifyUrl": "https://www.example.com/pushme" },
"security": { "authId": "AUTH-123" },
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": ["TLSv1.3", "TLSv1.2"],
"headers": { "X-Important-Header": "Important Value" },
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"AUTH-123\"\n },\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"AUTH-123\"\n },\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'webhook' => [
'notifyUrl' => 'https://www.example.com/pushme'
],
'security' => [
'authId' => 'AUTH-123'
],
'maxBucketSize' => 1,
'windowSize' => 20,
'connectTimeout' => 10000,
'readTimeout' => 10000,
'enabledSSLProtocols' => [
'TLSv1.3',
'TLSv1.2'
],
'headers' => [
'X-Important-Header' => 'Important Value'
],
'responseRegex' => '[1-9][0-9]',
'responseBodyRegex' => '[1-9][0-9]',
'rateLimit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhook: {notifyUrl: 'https://www.example.com/pushme'},
security: {authId: 'AUTH-123'},
maxBucketSize: 1,
windowSize: 20,
connectTimeout: 10000,
readTimeout: 10000,
enabledSSLProtocols: ['TLSv1.3', 'TLSv1.2'],
headers: {'X-Important-Header': 'Important Value'},
responseRegex: '[1-9][0-9]',
responseBodyRegex: '[1-9][0-9]',
rateLimit: 5000
})
};
fetch('https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"profileId": "NOTIF-32395",
"security": {
"authId": "NEWAUTH-9291"
}
}Update notification profile
This method allows you to update a notification profile. You can change its properties and provide an ID of security settings if you wish to change them.
Required scope: Enable one of: subscriptions:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"notifyUrl": "https://www.example.com/pushme"
},
"security": {
"authId": "AUTH-123"
},
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": [
"TLSv1.3",
"TLSv1.2"
],
"headers": {
"X-Important-Header": "Important Value"
},
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}"
payload = {
"webhook": { "notifyUrl": "https://www.example.com/pushme" },
"security": { "authId": "AUTH-123" },
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": ["TLSv1.3", "TLSv1.2"],
"headers": { "X-Important-Header": "Important Value" },
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"AUTH-123\"\n },\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"webhook\": {\n \"notifyUrl\": \"https://www.example.com/pushme\"\n },\n \"security\": {\n \"authId\": \"AUTH-123\"\n },\n \"maxBucketSize\": 1,\n \"windowSize\": 20,\n \"connectTimeout\": 10000,\n \"readTimeout\": 10000,\n \"enabledSSLProtocols\": [\n \"TLSv1.3\",\n \"TLSv1.2\"\n ],\n \"headers\": {\n \"X-Important-Header\": \"Important Value\"\n },\n \"responseRegex\": \"[1-9][0-9]\",\n \"responseBodyRegex\": \"[1-9][0-9]\",\n \"rateLimit\": 5000\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'webhook' => [
'notifyUrl' => 'https://www.example.com/pushme'
],
'security' => [
'authId' => 'AUTH-123'
],
'maxBucketSize' => 1,
'windowSize' => 20,
'connectTimeout' => 10000,
'readTimeout' => 10000,
'enabledSSLProtocols' => [
'TLSv1.3',
'TLSv1.2'
],
'headers' => [
'X-Important-Header' => 'Important Value'
],
'responseRegex' => '[1-9][0-9]',
'responseBodyRegex' => '[1-9][0-9]',
'rateLimit' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhook: {notifyUrl: 'https://www.example.com/pushme'},
security: {authId: 'AUTH-123'},
maxBucketSize: 1,
windowSize: 20,
connectTimeout: 10000,
readTimeout: 10000,
enabledSSLProtocols: ['TLSv1.3', 'TLSv1.2'],
headers: {'X-Important-Header': 'Important Value'},
responseRegex: '[1-9][0-9]',
responseBodyRegex: '[1-9][0-9]',
rateLimit: 5000
})
};
fetch('https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"profileId": "NOTIF-32395",
"security": {
"authId": "NEWAUTH-9291"
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Body
Notification profile.
Webhook configuration.
Show child attributes
Show child attributes
Security settings object holding authentication settings necessary to access your webhook.
Show child attributes
Show child attributes
Client certificate ID.
255^[a-zA-Z0-9._-]+$Specifies a maximum number of messages to be sent within a single request.
1 <= x <= 2000A maximum number of concurrent connections (active requests) per client.
20 <= x <= 10000Time in milliseconds sender system waits for connection acknowledgement until the connection is closed.
300 <= x <= 30000A maximum period of inactivity in milliseconds between two consecutive data packets.
1000 <= x <= 90000Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.
Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.
TLSv1.2, TLSv1.3 Set of key:value pairs that will be sent in a HTTP request as headers.Note: 'Authorization' header (if configured here for any reason) can be overridden with one from security config.
Show child attributes
Show child attributes
Response regex.
Response body regex.
Limits the number of requests per second.
1 <= x <= 5000